{
  name: "Burn Berserker",
  rating: 4,
  num: -2002,
  flags: {},
  onSourceAfterSetStatus(status, target, source, effect) {
    const holder = this.effectState.target;
    if (!holder || source !== holder) return;
    if (status?.id !== "brn") return;
    if (!effect || effect.effectType !== "Move") return;
    if (!holder.volatiles["focusenergy"]) {
      this.add("-ability", holder, "Burn Berserker");
      holder.addVolatile("focusenergy");
    }
  }
}
